local BuildZoneSubEffect = BaseClass("BuildZoneSubEffect")
local OnCreate = function(self, go)
  if go ~= nil then
    self.request = go
    self.gameObject = go.gameObject
    self.transform = go.gameObject.transform
  end
  self:ComponentDefine()
end
local OnDestroy = function(self)
  self:ComponentDestroy()
end
local ComponentDefine = function(self)
end
local ComponentDestroy = function(self)
end
local ReInit = function(self, param)
  self.param = param
end
BuildZoneSubEffect.OnCreate = OnCreate
BuildZoneSubEffect.OnDestroy = OnDestroy
BuildZoneSubEffect.ComponentDefine = ComponentDefine
BuildZoneSubEffect.ComponentDestroy = ComponentDestroy
BuildZoneSubEffect.ReInit = ReInit
return BuildZoneSubEffect
